Full name: projects.locations.skills.retrieve
Retrieves skills.
Endpoint
gethttps://{service-endpoint}/v1beta1/{parent}/skills:retrieve
Where {service-endpoint} is one of the supported service endpoints.
Path parameters
parentstring
Required. The location to retrieve the Skills in. Format: projects/{project}/locations/{location}
Query parameters
querystring
Optional. The query to find matching skills.
topKinteger
Optional. The maximum number of skills to return. The service may return fewer than this value. If unspecified, at most 10 skills will be returned. The maximum value is 100.
Request body
The request body must be empty.
Response body
Response message for SkillRegistryService.RetrieveSkills.
If successful, the response body contains data with the following structure:
Skills ranked by similarity if applicable; otherwise, the order is undefined.
| JSON representation |
|---|
{
"retrievedSkills": [
{
object ( |
RetrievedSkill
A retrieved skill.
skillNamestring
The skill resource name. Format: projects/{project}/locations/{location}/skills/{skill}
descriptionstring
The skill description.
| JSON representation |
|---|
{ "skillName": string, "description": string } |